Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.1.6 generated on August 25 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.xmlstore
Class XMLConfiguration

    java.lang.Object
      |
      +--com.solarmetric.conf.ConfigurationImpl
            |
            +--kodo.conf.JDOConfigurationImpl
                  |
                  +--kodo.xmlstore.XMLConfiguration

All Implemented Interfaces:
  BeanInfo, com.solarmetric.util.Closeable, Configuration, Externalizable, JDOConfiguration, Serializable

public class XMLConfiguration
extends JDOConfigurationImpl

Configuration implementation for the XML file store. Each unique `PersistenceManagerFactory` has a distinct configuration instance. Thus this configuration is shared by all `PersistenceManager`s associated with the owning factory, and is a good place to provide access to shared resources. Note that each persistence manager has its own `AbstractStoreManager`.

See Also:
  Serialized Form

Fields inherited from class kodo.conf.JDOConfigurationImpl
`aggregateListenerPlugins, aggregateListeners, classResolver, classResolverPlugin, connection2DriverName, connection2Password, connection2Properties, connection2URL, connection2UserName, connectionDriverName, connectionFactory, connectionFactory2, connectionFactory2Name, connectionFactory2Properties, connectionFactoryName, connectionFactoryProperties, connectionPassword, connectionProperties, connectionRetainMode, connectionURL, connectionUserName, copyObjectIds, dataCacheManager, dataCachePlugins, dataCaches, dataCacheTimeout, eagerFetchMode, fetchBatchSize, fetchGroups, filterListenerPlugins, filterListeners, flushBeforeQueries, ignoreCache, jmxInterfacePlugin, license, licenseKey, lockManagerPlugin, lockTimeout, logFactoryPlugin, managedRuntime, managedRuntimePlugin, mbeanPlugins, mbeanServer, mbeanServerStrategy, metaRepos, multithreaded, nontransactionalRead, nontransactionalWrite, optimistic, persistentClasses, pmFactoryPlugin, pmPlugin, pmServer, pmServerPlugin, profilingAgent, profilingAgentPlugin, profilingHelper, profilingHelperPlugin, profilingInterface, profilingInterfacePlugin, proxyManager, proxyManagerPlugin, queryCachePlugin, queryCompilationCache, queryCompilationCachePlugin, readLockLevel, remoteEventManager, remoteJMXAdaptor, remoteJMXAdaptorPlugin, remoteProviderPlugin, restoreMutableValues, restoreValues, retainValues, retainValuesInOptimistic, timeWatchManager, transactionMode, writeLockLevel`

Fields inherited from class com.solarmetric.conf.ConfigurationImpl
`logFactory`

Fields inherited from interface kodo.conf.JDOConfiguration
`LOG_DATACACHE, LOG_ENHANCE, LOG_METADATA, LOG_REMOTE, LOG_RUNTIME, LOG_TOOL, OPTION_EMBEDDED_COLLECTION_RELATION, OPTION_EMBEDDED_MAP_RELATION, OPTION_EMBEDDED_RELATION, OPTION_ID_APPLICATION, OPTION_ID_DATASTORE, OPTION_INC_FLUSH, OPTION_NONTRANS_READ, OPTION_NULL_COLLECTION, OPTION_OPTIMISTIC, OPTION_TYPE_ARRAY, OPTION_TYPE_COLLECTION, OPTION_TYPE_MAP`

Fields inherited from interface com.solarmetric.conf.Configuration
`ATTRIBUTE_ALLOWED_VALUES, ATTRIBUTE_TYPE`

Fields inherited from interface java.beans.BeanInfo
`ICON_COLOR_16x16, ICON_COLOR_32x32, ICON_MONO_16x16, ICON_MONO_32x32`

Constructor Summary
`XMLConfiguration()` Default constructor.
`XMLConfiguration(boolean loadDefaults)` Constructor.

Method Summary
`XMLFileHandler` | `getFileHandler()` Return the `XMLFileHandler` associated with this configuration.
`String` | `getSequenceGenerator()` The sequence generator plugin value.
`SequenceGenerator` | `getSequenceGeneratorInstance()` Return the `SequenceGenerator` to use for creating datastore identity values.
`XMLStore` | `getStore()` Return the `XMLStore` associated with this configuration.
`void` | `setSequenceGenerator(String seq)` The sequence generator plugin value.

Methods inherited from class kodo.conf.JDOConfigurationImpl
`close, getAggregateListenerInstances, getAggregateListeners, getClassResolver, getClassResolverInstance, getConfigurationException, getConfigurationLog, getConnection2DriverName, getConnection2Password, getConnection2Properties, getConnection2URL, getConnection2UserName, getConnectionDriverName, getConnectionFactory, getConnectionFactory2, getConnectionFactory2Name, getConnectionFactory2Properties, getConnectionFactoryName, getConnectionFactoryProperties, getConnectionPassword, getConnectionProperties, getConnectionRetainMode, getConnectionRetainModeConstant, getConnectionURL, getConnectionUserName, getCopyObjectIds, getDataCache, getDataCacheInstances, getDataCacheManager, getDataCacheTimeout, getEagerFetchMode, getEagerFetchModeConstant, getFetchBatchSize, getFetchGroups, getFetchGroupsList, getFilterListenerInstances, getFilterListeners, getFlushBeforeQueries, getFlushBeforeQueriesConstant, getIgnoreCache, getJMXInterface, getLicense, getLicenseKey, getLockManager, getLockTimeout, getLog, getLogFactory, getManagedRuntime, getManagedRuntimeInstance, getMBeans, getMBeanServer, getMBeanServerStrategy, getMetaDataRepository, getMultithreaded, getNontransactionalRead, getNontransactionalWrite, getOptimistic, getPersistenceManagerFactoryClass, getPersistenceManagerImpl, getPersistenceManagerServer, getPersistenceManagerServerInstance, getPersistentClasses, getPersistentClassesList, getProductName, getProfilingAgent, getProfilingAgentInstance, getProfilingHelper, getProfilingHelperInstance, getProfilingInterface, getProxyManager, getProxyManagerInstance, getQueryCache, getQueryCompilationCache, getQueryCompilationCacheInstance, getReadLockLevel, getReadLockLevelConstant, getRemoteCommitEventManager, getRemoteCommitProvider, getRemoteJMXAdaptor, getRestoreMutableValues, getRestoreValues, getRetainValues, getRetainValuesInOptimistic, getTimeWatchManager, getTransactionMode, getWriteLockLevel, getWriteLockLevelConstant, isInvalidProperty, isTransactionModeManaged, newDataCacheInstance, newLockManagerInstance, newPersistenceManagerImplInstance, newQueryCacheInstance, newRemoteCommitProviderInstance, setAggregateListeners, setAggregateListeners, setClassResolver, setClassResolver, setConnection2DriverName, setConnection2Password, setConnection2Properties, setConnection2URL, setConnection2UserName, setConnectionDriverName, setConnectionFactory, setConnectionFactory2, setConnectionFactory2Name, setConnectionFactory2Properties, setConnectionFactoryName, setConnectionFactoryProperties, setConnectionPassword, setConnectionProperties, setConnectionRetainMode, setConnectionRetainMode, setConnectionURL, setConnectionUserName, setCopyObjectIds, setCopyObjectIds, setDataCache, setDataCacheManager, setDataCacheTimeout, setDataCacheTimeout, setEagerFetchMode, setEagerFetchMode, setFetchBatchSize, setFetchBatchSize, setFetchGroups, setFetchGroups, setFilterListeners, setFilterListeners, setFlushBeforeQueries, setFlushBeforeQueries, setIgnoreCache, setIgnoreCache, setJMXInterface, setLicenseKey, setLockManager, setLockTimeout, setLockTimeout, setLog, setManagedRuntime, setManagedRuntime, setMBeans, setMBeanServerStrategy, setMetaDataRepository, setMultithreaded, setMultithreaded, setNontransactionalRead, setNontransactionalRead, setNontransactionalWrite, setNontransactionalWrite, setOptimistic, setOptimistic, setPersistenceManagerFactoryClass, setPersistenceManagerImpl, setPersistenceManagerServer, setPersistenceManagerServer, setPersistentClasses, setPersistentClasses, setProfilingAgent, setProfilingHelper, setProfilingInterface, setProxyManager, setProxyManager, setQueryCache, setQueryCompilationCache, setReadLockLevel, setReadLockLevel, setRemoteCommitEventManager, setRemoteCommitProvider, setRemoteJMXAdaptor, setRestoreMutableValues, setRestoreMutableValues, setRestoreValues, setRestoreValues, setRetainValues, setRetainValues, setRetainValuesInOptimistic, setRetainValuesInOptimistic, setTransactionMode, setTransactionModeManaged, setWriteLockLevel, setWriteLockLevel, supportedOptions`

Methods inherited from class com.solarmetric.conf.ConfigurationImpl
`addBoolean, addDouble, addInt, addPlugin, addPluginList, addString, addStringList, addValue, assertNotFrozen, equals, fromProperties, fromStream, getAdditionalBeanInfo, getBeanDescriptor, getDefaultEventIndex, getDefaultPropertyIndex, getEventSetDescriptors, getIcon, getLog, getMethodDescriptors, getPropertyDescriptors, getValue, getValues, hashCode, isCaching, isFrozen, loadDefaults, readExternal, setCaching, setFrozen, setLogFactory, setProperties, setPropertiesFile, toProperties, writeExternal`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.solarmetric.conf.Configuration
`fromProperties, getLog, getValue, getValues, isCaching, isFrozen, setCaching, setFrozen, setLogFactory, toProperties`

Methods inherited from interface java.beans.BeanInfo
`getAdditionalBeanInfo, getBeanDescriptor, getDefaultEventIndex, getDefaultPropertyIndex, getEventSetDescriptors, getIcon, getMethodDescriptors, getPropertyDescriptors`

Constructor Detail

### XMLConfiguration

    public XMLConfiguration()

  Default constructor.

### XMLConfiguration

    public XMLConfiguration(boolean loadDefaults)

  Constructor.
  Parameters:
    `loadDefaults` - whether to read default configuration information from the properties file

Method Detail

### getFileHandler

    public XMLFileHandler getFileHandler()

  Return the `XMLFileHandler` associated with this configuration.

### getStore

    public XMLStore getStore()

  Return the `XMLStore` associated with this configuration.

### getSequenceGeneratorInstance

    public SequenceGenerator getSequenceGeneratorInstance()

  Return the `SequenceGenerator` to use for creating datastore identity values.

### getSequenceGenerator

    public String getSequenceGenerator()

  The sequence generator plugin value. We create public getters and setters for all configuration properties so that our configuration object can be interpreted as a bean by JCA-compliant systems.

### setSequenceGenerator

    public void setSequenceGenerator(String seq)

  The sequence generator plugin value. We create public getters and setters for all configuration properties so that our configuration object can be interpreted as a bean by JCA-compliant systems.

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.1.6 generated on August 25 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.